import { Reducer, Action, Optional } from "./types";
export declare const persisterCreator: <T extends {
    [x: string]: any;
}>(Storage: any, key: string, mapStateToPersist?: ((state: T) => Optional<T>) | undefined) => {
    persist(state: any, action: {
        type: any;
    }): void;
    setToState(storeRef: any): Promise<void>;
};
export declare const persistReducer: <T, A extends Action<any> = Action<T>>(reducer: Reducer<T, A>) => Reducer<T, A>;
//# sourceMappingURL=persist.d.ts.map