export declare type Action<S> = {
    type: any;
    payload?: S;
};
export declare type Reducer<S, A = Action<S>> = (state: S, action: A) => S;
export declare type Optional<T> = {
    [P in keyof T]?: T[P];
};
//# sourceMappingURL=types.d.ts.map